document.addEventListener('DOMContentLoaded', () => {
  // Mobile Navigation Toggle
  const navToggle = document.querySelector('.nav-toggle');
  const navLinks = document.querySelector('.nav-links');

  navToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
    navToggle.classList.toggle('active');
  });

  // Smooth Scroll for Navigation Links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        navLinks.classList.remove('active');
        target.scrollIntoView({
          behavior: 'smooth'
        });
      }
    });
  });

  // Intersection Observer for Scroll Animations
  const observerOptions = {
    threshold: 0.1
  };

  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('animate');
      }
    });
  }, observerOptions);

  document.querySelectorAll('.indicator-card, .pricing-card').forEach(el => {
    observer.observe(el);
  });

  // Preview Button Click Handler
  document.querySelectorAll('.preview-button').forEach(button => {
    button.addEventListener('click', function() {
      const indicatorName = this.parentElement.querySelector('h3').textContent;
      alert(`Preview of ${indicatorName} coming soon!`);
    });
  });

  // Subscribe Button Click Handler
  document.querySelectorAll('.subscribe-button').forEach(button => {
    button.addEventListener('click', function() {
      const planName = this.parentElement.querySelector('h3').textContent;
      alert(`Thanks for your interest in the ${planName} plan! Subscription feature coming soon.`);
    });
  });
});
